AsymmetricKey (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.security, interface: AsymmetricKey
Keywords: java.security.AsymmetricKey interface

# Interface AsymmetricKey

All Superinterfaces:
  `DEREncodablePREVIEW, Key, Serializable`

All Known Subinterfaces:
  `DHPrivateKey, DHPublicKey, DSAPrivateKey, DSAPublicKey, ECPrivateKey, ECPublicKey, EdECPrivateKey, EdECPublicKey, PrivateKey, PublicKey, RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey, RSAPrivateKey, RSAPublicKey, XECPrivateKey, XECPublicKey`

public non-sealed interface AsymmetricKey extends Key, DEREncodablePREVIEW
An asymmetric key, which can be either a public key or a private key. This interface contains methods that are common to either a public key or a private key.

Since:
  22

- ## Field Summary

  ### Fields declared in interface Key

  `serialVersionUID`
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default AlgorithmParameterSpec`
  `getParams()`
  Returns the parameters associated with this key.

  ### Methods declared in interface Key

  `getAlgorithm, getEncoded, getFormat`
  Modifier and Type
  Method
  Description
  `String`
  `getAlgorithm()`
  Returns the standard algorithm name for this key.
  `byte[]`
  `getEncoded()`
  Returns the key in its primary encoding format, or `null` if this key does not support encoding.
  `String`
  `getFormat()`
  Returns the name of the primary encoding format of this key, or `null` if this key does not support encoding.

- ## Method Details

  - ### getParams

    default AlgorithmParameterSpec getParams()
    Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.
    Implementation Requirements:
      The default implementation returns `null`.
    Returns:
      the associated parameters, may be `null`